Projects - Feature #1796

Translations helper
28 Jun 2011 21:40 - Andriy Lesyuk

Status: Open Start date: 28 Jun 2011
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Redmine plugin idea Estimated time: 0.00 hour
Target version:

Description

One of disadvantages of Redmine is that when a not supported language is used it shows “translation missing: xx,...”. That is, for
example, when a user uses “xx” language and it's not supported he/she sees... nothing! That is not even English!.. Not good!

What | think about is to: a) fall back to English and b) convert it to a link allowing to specify translation for “xx” language. Some plugin
existes for the a)... and | believe b) is possible...

This can (and should) be used for translating the whole Redmine...

History

#1 - 30 Jun 2011 22:41 - Andriy Lesyuk
Links:
e http://www.artweb-design.de/2009/7/19/experimental-extensions-in-i18n-pluralization-fallbacks-gettext-cache-and-chain

e http://www.redmine.org/plugins/language_fallback (the plugin mentioned above)
e http://rubydoc.info/docs/rails/2.3.8/I118n/Backend/Fallbacks

#2 - 20 Jul 2011 14:57 - Andriy Lesyuk

- Priority changed from Normal to Major

#3 - 20 Jul 2011 15:00 - Andriy Lesyuk
Thinking about putting such plugin on Github...

#4 - 04 Oct 2011 15:43 - Andriy Lesyuk
Thinking about using spaces as “marks”: http://en.wikipedia.org/wiki/Space_(punctuation) (U+200B?)

#5 - 06 Feb 2012 11:12 - Andriy Lesyuk

- Priority changed from Major to Normal
